petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGlobalToLocalBeginDefaultShell

Uses the GlobalToLocal VecScatter context set by the user to begin a global to local scatter Collective

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMGlobalToLocalBeginDefaultShell(DM dm,Vec g,InsertMode mode,Vec l)

### Input Arguments

| dm | - shell DM Many br
| g | - global vector Many br
| mode | - InsertMode Many br
| l | - local vector Many br

Many br

Note: This is not normally called directly by user code, generally user code calls DMGlobalToLocalBegin() and DMGlobalToLocalEnd(). If the user provides their own custom routines to DMShellSetLocalToGlobal() then those routines might have reason to call this function. Many br

### See Also

DMGlobalToLocalEndDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages